# Package based on debian and fedora source tarballs
# downloadable from the site:
# https://ftp.debian.org/debian/pool/main/c/csstidy/csstidy_1.4.orig.tar.gz

Name:           csstidy
Version:        1.4
Release:        %mkrel 12
Summary:        CSS parser and optimizer
Group:          Networking/WWW
License:        GPLv2+
URL:            http://csstidy.sourceforge.net
Source0:        csstidy-%{version}.tar.gz
Patch0:         csstidy-1.4-fix-misc.cpp.patch
Patch1:         csstidy-1.4-optflags.patch
Patch2:         csstidy-1.4-scons-python3.patch

BuildRequires:  gcc-c++
BuildRequires:  scons

%description
CSSTidy is an open source CSS parser and optimizer. In opposite to most other
CSS parsers, no regular expressions are used and thus CSSTidy has full CSS2
support and a higher reliability.

%prep
%setup -q
%autopatch -p1

%build
%scons

%install
%__mkdir_p %{buildroot}%{_bindir}
%__install -cpm 755 release/csstidy/csstidy %{buildroot}%{_bindir}/%{name}

%files
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.4-12.mga9
+ Revision: 1792657
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.4-11.mga8
+ Revision: 1535899
- Mageia 8 Mass Rebuild

* Sun Sep 29 2019 daviddavid <daviddavid> 1.4-10.mga8
+ Revision: 1447921
- switch build to python3-scons

* Fri Apr 05 2019 daviddavid <daviddavid> 1.4-9.mga7
+ Revision: 1385974
- switch to Python2 scons support
- remove no more needed scons3 patch

* Sun Sep 23 2018 umeabot <umeabot> 1.4-8.mga7
+ Revision: 1297341
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 daviddavid <daviddavid> 1.4-7.mga7
+ Revision: 1167713
- patch2: fix build with scons 3.0

* Fri Feb 05 2016 umeabot <umeabot> 1.4-6.mga6
+ Revision: 936485
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 746321
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 678607
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-3.mga4
+ Revision: 503600
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 348383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 matteo <matteo> 1.4-1.mga2
+ Revision: 155217
- spec cleaned
- header comment fixed
- imported package csstidy

